<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class CheckUserRoleType
{
    public function handle(Request $request, Closure $next, $role)
    {
        // Provjeravamo ako je trenutni korisnik ima zadatu ulogu
        if ($request->user()->user_roles === $role) {
            return $next($request);
        }

        // Ako nije, redirektiramo na neku drugu rutu
        return redirect()->route('naslovna'); // Možete promijeniti na svoju željenu rutu
    }
}